Skip to main content
GET
/
orders
cURL
curl --request GET \
  --url https://api.jup.ag/prediction/v1/orders \
  --header 'x-api-key: <api-key>'
import requests

url = "https://api.jup.ag/prediction/v1/orders"

headers = {"x-api-key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://api.jup.ag/prediction/v1/orders', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "data": [
    {
      "pubkey": "<string>",
      "owner": "<string>",
      "ownerPubkey": "<string>",
      "market": "<string>",
      "marketId": "<string>",
      "marketIdHash": "<string>",
      "eventId": "<string>",
      "position": "<string>",
      "isYes": true,
      "isBuy": true,
      "createdAt": 123,
      "updatedAt": 123,
      "contracts": "<string>",
      "maxFillPriceUsd": "<string>",
      "maxBuyPriceUsd": "<string>",
      "minSellPriceUsd": "<string>",
      "filledAt": 123,
      "filledContracts": "<string>",
      "avgFillPriceUsd": "<string>",
      "settled": true,
      "orderId": "<string>",
      "sizeUsd": "<string>",
      "eventMetadata": {
        "eventId": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "slug": "<string>",
        "series": "<string>",
        "closeTime": "<string>",
        "imageUrl": "<string>",
        "isLive": true
      },
      "marketMetadata": {
        "marketId": "<string>",
        "eventId": "<string>",
        "title": "<string>",
        "subtitle": "<string>",
        "description": "<string>",
        "provider": "<string>",
        "status": "<string>",
        "result": "<string>",
        "closeTime": 123,
        "openTime": 123,
        "isTeamMarket": true,
        "marketOptions": [
          {
            "label": "<string>",
            "buyYes": true
          }
        ],
        "rulesPrimary": "<string>",
        "rulesSecondary": "<string>"
      },
      "externalOrderId": "<string>",
      "bump": 1
    }
  ],
  "pagination": {
    "start": 1,
    "end": 1,
    "total": 1,
    "hasNext": true
  }
}
{
"message": "<string>",
"request_id": "<string>",
"code": "<string>",
"param": "<string>",
"doc_url": "<string>"
}

Authorizations

x-api-key
string
header
required

Query Parameters

start
integer | null
Required range: x >= 0
end
integer | null
Required range: x >= 0
ownerPubkey
string
Minimum string length: 1

Response

List of all orders registered on-chain

data
object[]
required
pagination
object
required